%define		status		stable
%define		pearname	DB
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Database Abstraction Layer
Summary(pl.UTF-8):	%{pearname} - Abstrakcyjna warstwa baz danych
Name:		php-pear-%{pearname}
Version:	1.7.14
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	b38357ad173a43e3c34e1b5527571fec
URL:		http://pear.php.net/package/DB/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php(core) >= 4.2.0
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1:1.0-0.b1
Obsoletes:	php-pear-DB-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DB is a database abstraction layer providing:
- an OO-style query API
- a DSN (data source name) format for specifying database servers
- prepare/execute (bind) emulation for databases that don't support it
  natively
- a result object for each query response
- portable error codes
- sequence emulation
- sequential and non sequential row fetching as well as bulk fetching
- ordered array, associative array and object formats supported for
  the fetched rows
- row limit support
- transactions support
- table information interface
- DocBook and PHPDoc API documentation

DB layers itself on top of PHP's existing database extensions. The
currently supported extensions are: dbase, fbsql, interbase, informix,
msql, mssql, mysql, oci8, odbc, pgsql and sybase (a DB style interface
to LDAP servers is also avaible from a separate package).

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
DB to warstwa abstrakcji baz danych dająca:
- obiektowo zorientowane API dla zapytań
- format DSN (data source name) do podawania serwerów baz danych
- emulację prepare/execute dla baz danych nie obsługujących natywnie
  tych poleceń
- obiekt wynikowy dla każdej odpowiedzi na zapytanie
- przenośne kody błędów
- emulację sekwencji
- sekwencyjne i niesekwencyjne pobieranie wierszy oraz pobieranie
  masowe
- obsługę danych w formacie tablic uporządkowanych, tablic
  asocjacyjnych i obiektów dla pobieranych wierszy
- obsługę limitu wierszy
- obsługę transakcji
- interfejs do informacji o tabelach
- dokumentację API w formacie DocBook i PHPDoc.

Warstwa DB jest umieszczona powyżej istniejących rozszerzeń baz danych
w PHP. Aktualnie obsługiwane rozszerzenia to: dbase, fbsql, interbase,
informix, msql, mssql, oci8, odbc, pgsql i sybase (podobny do DB
interfejs do serwerów LDAP jest dostępny w osobnym pakiecie).

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{pearname}/doc/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/*.php
%dir %{php_pear_dir}/DB
%{php_pear_dir}/DB/*.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 5dd3785
- use php(core) for php engine version deps
- release 2 (by relup.sh)

* Tue May 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> be3b04a
- rel 2; add %{php_pear_dir}/DB

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> 08b78f1
- stable now

* Thu Nov 03 2011 Elan Ruusamäe <glen@pld-linux.org> e76a7bc
- up to 1.7.14 final

* Sun Jan 23 2011 Elan Ruusamäe <glen@pld-linux.org> 1c6603e
- up to 1.7.14RC2

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 74389e8
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> c965d6e
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 134ed68
- up to 1.7.14RC1-beta

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> deeadb1
- rel 2

* Fri Sep 21 2007 Adam Gołębiowski <adamg@pld-linux.org> d9d42e9
- updated to 1.7.13

* Wed Jul 04 2007 Elan Ruusamäe <glen@pld-linux.org> a5b86f4
- updated to 1.7.12

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> 3791e32
- 1.7.9

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 66f9f9d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e97e435
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 6bf94bb
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 59e63f3
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 31f96f9
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 7728335
- group Development/Languages/PHP for -tests

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> f103ce3
- AutoReq: no for -tests

* Sun Nov 20 2005 Elan Ruusamäe <glen@pld-linux.org> 85c0226
- rel 3

